E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
geventhandlerlist.h File Reference
`#include "gdef.h"`
`#include "gexceptionhandler.h"`
`#include "geventhandler.h"`
`#include "gdescriptor.h"`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::EventHandlerList
| A class that maps from a file descriptor to an event handler, used in the implemention of classes derived from GNet::EventLoop. More...
struct | GNet::EventHandlerList::Value
| A tuple for GNet::EventHandlerList. More...
struct | GNet::EventHandlerList::Iterator
| An iterator for GNet::EventHandlerList. More...
struct | GNet::EventHandlerList::Lock
| A raii class to lock and unlock GNet::EventHandlerList. More...

## Namespaces
| GNet
| Network classes.